.fact-card{
  opacity:0;
  transform:translateY(40px);
}

.fact-card.show{
  opacity:1;
  transform:translateY(0);
  transition:0.6s ease;
}


.facts-area{
  background: linear-gradient(135deg,#000,#111);
  padding:80px 0;
}

.fact-card{
  background:#111;
  border:1px solid #222;
  border-radius:20px;
  padding:30px;
  text-align:center;
  transition:0.4s;
  position:relative;
  overflow:hidden;
}

.fact-card::before{
  content:"";
  position:absolute;
  width:0;
  height:100%;
  background:#ffc107;
  top:0;
  left:0;
  z-index:0;
  transition:0.4s;
}

.fact-card:hover::before{
  width:100%;
}

/* Hover text + icon white */
.fact-card:hover h2,
.fact-card:hover p{
  color:#fff;
}

.fact-card:hover img{
  filter: brightness(0) invert(1);
}

.fact-card:hover{
  transform:translateY(-10px) scale(1.03);
  box-shadow:0 10px 30px rgba(255,193,7,0.4);
}

.fact-card img{
  width:60px;
  margin-bottom:15px;
  position:relative;
  z-index:1;
}

.fact-card h2{
  font-size:38px;
  color:#ffc107;
  margin:10px 0;
  position:relative;
  z-index:1;
  font-weight:700;
}

.fact-card p{
  color:#fff;
  font-weight:500;
  position:relative;
  z-index:1;
}


.youtube-section{
  padding:80px 0;
  background:#fff;
}

/* CARD */
.yt-card{
  background:#fff;
  border-radius:12px;
  overflow:hidden;
  cursor:pointer;
  transition:0.3s;
  border:1px solid #eee;
}

.yt-card:hover{
  transform:translateY(-8px);
  box-shadow:0 12px 30px rgba(0,0,0,0.15);
}

/* THUMB */
.thumb{
  position:relative;
  overflow:hidden;
}

.thumb img{
  width:100%;
  transition:0.4s;
}

/* ZOOM EFFECT */
.yt-card:hover img{
  transform:scale(1.08);
}

/* PLAY BUTTON */
.play-btn{
  position:absolute;
  top:50%;
  left:50%;
  transform:translate(-50%, -50%);
  background:red;
  color:#fff;
  font-size:24px;
  padding:12px 18px;
  border-radius:50%;
  opacity:0.9;
  transition:0.3s;
}

.yt-card:hover .play-btn{
  background:#000;
  transform:translate(-50%, -50%) scale(1.1);
}

/* TITLE */
.yt-card h4{
  padding:15px;
  margin:0;
  font-weight:600;
  color:#111;
}

/* POPUP */
.popup{
  display:none;
  position:fixed;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background:rgba(0,0,0,0.85);
  justify-content:center;
  align-items:center;
  z-index:9999;
}

.popup-content{
  position:relative;
  width:80%;
  max-width:800px;
  background:#000;
  padding:10px;
  border-radius:10px;
}

.close{
  position:absolute;
  top:-10px;
  right:-10px;
  background:#fff;
  color:#000;
  border-radius:50%;
  padding:5px 10px;
  cursor:pointer;
  font-size:18px;
}